Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

What's the easiest way to install Mercurial 1.5.1 on Debian Lenny? Can I safely install the package from the sid repository using apt-get, or should I compile it from the sources?

share|improve this question

1 Answer 1

up vote 3 down vote accepted

Hmm; looks like backports.org doesn't go newer than 1.3.1 right now.

Given that, the safest approach is to build from sid's source package (so you'll still have a debian-packaged binary, just one you built yourself); see http://www.debian.org/doc/manuals/apt-howto/ch-sourcehandling.en.html for a quick primer

If you've added the sid source repository to your sources list, you might also consider using apt-get build-dep to install the build-time dependencies, and apt-get source to download and unpack the sources themselves.

share|improve this answer
    
Okay thanks. It sounds pretty complicated, so I think I will just stick with the 1.3.1 version from backports for now. –  pako Apr 5 '10 at 11:04

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.